html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;
  line-height: 1.6;
  color:#222;
  background-color: #eee;
}

/*--------------------------------------*/
/* ヘッダー */
/*--------------------------------------*/
header {
  position: fixed;
  width: 100%;
  top: 0;
  background: #222;
  padding: 15px 0;
  z-index: 1000;
}

.header-inner {
  max-width: 1100px;
  margin: 0 auto;
  padding: 14px 20px;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

.logo img {
  height: 48px;     /* ヘッダーにちょうど良い高さ */
  width: auto;
  display: block;
}
/* ナビゲーションメニュー */
nav {
  display: flex;
  justify-content: center;
  align-items: center;
}
nav a {
  color: white;
  text-decoration: none;
  font-weight: bold;
  padding: 8px 18px;

  /* アニメーションの準備 */
  transition: all 0.5s ease;
}
nav a:hover {
  background: white;
  color: #111;
}

/* ハンバーガー初期は非表示 */
.hamburger {
  display: none;
  flex-direction: column;
  gap: 6px;
  cursor: pointer;
}

.hamburger span {
  width: 26px;
  height: 2px;
  background: white;
}

@media (max-width: 768px) {
  .nav {
    position: absolute;
    top: 60px;
    right: 0;
    background: #222;
    flex-direction: column;
    width: 200px;
    padding: 20px;
    display: none;
  }

  .nav.open {
    display: flex;
  }

  .hamburger {
    display: flex;
  }
}


/*--------------------------------------*/
/* Top */
/*--------------------------------------*/
#top {
  background: #222;
  color: white;
  text-align: right;
  display: flex;
  justify-content: center;
  align-items: center;
  
  height: 100vh;
  padding: 50px 20px;

  background-image: url("../img/test.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.TopContent div{
  flex-direction: column;
}
.TopContent h1{
  text-shadow:
    0 2px 6px rgba(0,0,0,0.5),
    0 0 18px rgba(0,0,0,0.4);
}
.TopContent p{
  text-shadow:
    0 2px 6px rgba(0,0,0,0.5),
    0 0 18px rgba(0,0,0,0.4);
}

/*--------------------------------------*/
/* その他のページ */
/*--------------------------------------*/
#profile,
#works,
#contact,
#form {
  max-width: 800px;
  margin: auto;
  padding: 50px 20px;
}

.contactmsg {
  font-size: 14px
}

h2 {
  border-bottom: 2px solid #333;
  padding-bottom: 10px;
}

.link-box a {
  display: block;
  padding: 15px;
  border: 1px solid #333;
  text-decoration: none;
  color: black;
}

.link-box a:hover {
  background: #eee;
}


/*--------------------------------------*/
/* Profile YouTUbeリンク */
/*--------------------------------------*/
.yt-channels {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 24px;
  margin-top: 30px;
}

.yt-card {
  text-decoration: none;
  color: white;
  text-align: center;
  transition: transform 0.25s ease, box-shadow 0.25s ease;
}

.yt-card img {
  width: 100%;
  height: 100;          /* ← カードの高さ（小さめ） */
  object-fit: cover;      /* 画像をトリミングして埋める */
  object-position: top;
  display: block;
}

.yt-card:hover {
  transform: translateY(-6px);
  box-shadow: 0 10px 24px rgba(0,0,0,0.3);
}

.yt-card p {
  margin-top: 10px;
  font-weight: bold;
  letter-spacing: 1px;
}



/*--------------------------------------*/
/* ポートフォリオ */
/*--------------------------------------*/
.portfolio-grid {
  display: grid;
  gap: 20px;

  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
}
.portfolio-item img {
  /*width: 100%;*/
  display: block;
}

.portfolio-item a {
  text-decoration: none;
  color: #222;
}

.portfolio-item {
  transition: transform 0.2s;
}
.portfolio-item img {
  width: 100%;
  height: auto;
  display: block;
}
.portfolio-item:hover {
  transform: translateY(-6px);
  box-shadow: 0 10px 24px rgba(0,0,0,0.3);
}

.portfolio-more {
  text-align: center;
  margin-top: 50px;
}

.more-btn {
  display: inline-block;
  padding: 12px 28px;
  border: 1px solid #222;
  color: #222;
  text-decoration: none;
  font-size: 15px;
  letter-spacing: 2px;

  /* 常に見える */
  opacity: 1;

  transition: all 0.3s ease;
}

.more-btn:hover {
  background: #222;
  color: white;
  transform: translateY(-3px);
  box-shadow: 0 10px 24px rgba(0,0,0,0.3);
}



/*--------------------------------------*/
/* フォームに飛ぶボタン */
/*--------------------------------------*/
.contact-btn {
  display: inline-block;
  padding: 12px 28px;
  border: 1px solid #222;
  color: #222;
  text-decoration: none;
  font-size: 15px;
  letter-spacing: 2px;

  /* 常に見える */
  opacity: 1;

  transition: all 0.3s ease;
}

.contact-btn:hover {
  background: #222;
  color: white;
  transform: translateY(-3px);
  box-shadow: 0 10px 24px rgba(0,0,0,0.3);
}

/*--------------------------------------*/
/* フッター */ 
/*--------------------------------------*/
footer {
  text-align: center;
  padding: 30px;
  background: #222;
  color: white;
  font-size: 13px;
}

.sns-links {
  display: flex;
  justify-content: center;
  gap: 24px;
}

.sns-btn {
  display: flex;
  align-items: center;
  justify-content: center;

  width: 22px;
  height: 22px;

  text-decoration: none;
  transition: all 0.25s ease;
}

/* 画像の場合 */
.sns-btn img {
  width: 20px;
  height: 20px;
}

/* テキストの場合 */
.sns-btn.text {
  width: auto;
  padding: 0 14px;
  color: white;
  font-size: 13px;
  letter-spacing: 1px;
}

.copyright{
}

/*--------------------------------------*/
/* Scripts */
/*--------------------------------------*/
.fade-in {
  opacity: 0;
  transform: translateY(60px);
  transition: opacity 1.2s ease, transform 1.2s ease;
}

.fade-in.show {
  opacity: 1;
  transform: translateY(0);
}
